List workspace contact interactions
GET /v2/workspaces/{workspaceId}/contacts/{contactId}/interactions
Parameters
Path parameters
Query parameters
Responses
200 — Successful response
Content-Type: application/json
Example
{
"data": {
"interactions": [
{
"member_user_id": "string",
"first_email_at": "2026-10-23T10:31:51.492Z",
"last_email_at": "2026-10-23T10:31:51.492Z",
"first_calendar_event_at": "2026-10-23T10:31:51.492Z",
"last_calendar_event_at": "2026-10-23T10:31:51.492Z",
"last_note_at": "2026-10-23T10:31:51.492Z",
"linkedin_connected_at": "2026-10-23T10:31:51.492Z",
"email_count": 0,
"meeting_count": 0
}
]
}
}
400 — Request body failed validation.
Content-Type: application/json
401 — Missing or invalid API key.
Content-Type: application/json
403 — Valid key, insufficient permission.
Content-Type: application/json
404 — Resource does not exist.
Content-Type: application/json
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
429 — Rate limit exceeded.
Content-Type: application/json
500 — Unexpected server error.
Content-Type: application/json
Code samples
curl https://api.prod.getdex.com/v2/workspaces/00000000-0000-0000-0000-000000000000/contacts/00000000-0000-0000-0000-000000000000/interactions \
--header 'Authorization: Bearer YOUR_API_KEY'
fetch('https://api.prod.getdex.com/v2/workspaces/00000000-0000-0000-0000-000000000000/contacts/00000000-0000-0000-0000-000000000000/interactions', {
headers: {
Authorization: 'Bearer YOUR_API_KEY'
}
})
requests.get(
"https://api.prod.getdex.com/v2/workspaces/00000000-0000-0000-0000-000000000000/contacts/00000000-0000-0000-0000-000000000000/interactions",
headers={
"Authorization": "Bearer YOUR_API_KEY"
}
)
List workspace members
List the members of the workspace your API key was created for, with each member's `user_id`, `role`, `status` and name and email. Use a member's `user_id` as a workspace reminder's `assignee_id`; onl
List shared emails and meetings with a workspace contact
Emails and meetings with one workspace contact from every member account shared with the workspace at a content level, read live through each sharing member's own Google or Outlook account and redacte

